Commit 8083013f authored by Michael S. Tsirkin's avatar Michael S. Tsirkin Committed by Ralf Baechle

ld-version: Fix it on Fedora

On Fedora 23, ld --version outputs:
GNU ld version 2.25-15.fc23

But ld-version.sh fails to parse this, so e.g.  mips build fails to
enable VDSO, printing a warning that binutils >= 2.24 is required.

To fix, teach ld-version to parse this format.
Signed-off-by: default avatarMichael S. Tsirkin <mst@redhat.com>
Cc: linux-kernel@vger.kernel.org
Cc: Michal Marek <mmarek@suse.com>
Cc: linux-kbuild@vger.kernel.org
Cc: linux-mips@linux-mips.org
Patchwork: https://patchwork.linux-mips.org/patch/12023/Signed-off-by: default avatarRalf Baechle <ralf@linux-mips.org>
parent d5ece1cb
......@@ -2,6 +2,8 @@
# extract linker version number from stdin and turn into single number
{
gsub(".*)", "");
gsub(".*version ", "");
gsub("-.*", "");
split($1,a, ".");
print a[1]*100000000 + a[2]*1000000 + a[3]*10000 + a[4]*100 + a[5];
exit
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment